Package org.apache.lucene.spatial.prefix

# Class HeatmapFacetCounter.Heatmap

java.lang.Object
org.apache.lucene.spatial.prefix.HeatmapFacetCounter.Heatmap

Enclosing class:
  `HeatmapFacetCounter`

public static class HeatmapFacetCounter.Heatmap extends Object
Response structure

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `final int`
  `columns`
  `final int[]`
  `counts`
  `final org.locationtech.spatial4j.shape.Rectangle`
  `region`
  `final int`
  `rows`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Heatmap(int columns, int rows, org.locationtech.spatial4j.shape.Rectangle region)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getCount(int x, int y)`
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### columns

    public final int columns

  - ### rows

    public final int rows

  - ### counts

    public final int[] counts

  - ### region

    public final org.locationtech.spatial4j.shape.Rectangle region

- ## Constructor Details

  - ### Heatmap

    public Heatmap(int columns, int rows, org.locationtech.spatial4j.shape.Rectangle region)

- ## Method Details

  - ### getCount

    public int getCount(int x, int y)

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`